Require at least Maven 3.0 for build

* JDK 9 EA now includes http://openjdk.java.net/jeps/280
  So that execution of build with "javac -target 1.9"
  requires at least version 2.4 of maven-shade-plugin
  (https://issues.apache.org/jira/browse/MSHADE-174),
  which in his turn requires at least Maven 3.0.

* Maven 2.x has reached its end of life
  and is no longer supported by Apache Maven Project Team
  (http://maven.apache.org/maven-2.x-eol.html).
diff --git a/org.jacoco.build/pom.xml b/org.jacoco.build/pom.xml
index 57d11db..311913a 100644
--- a/org.jacoco.build/pom.xml
+++ b/org.jacoco.build/pom.xml
@@ -83,6 +83,10 @@
     </contributor>
   </contributors>
 
+  <prerequisites>
+    <maven>3.0</maven>
+  </prerequisites>
+
   <modules>
     <!-- Order is important: org.jacoco.agent.rt embeds into org.jacoco.agent and JaCoCo Agent used during tests -->
     <module>../org.jacoco.core</module>
@@ -356,7 +360,7 @@
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-shade-plugin</artifactId>
-          <version>1.4</version>
+          <version>2.4.3</version>
         </plugin>
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
@@ -498,7 +502,7 @@
                 </requireReleaseDeps>
                 <requireMavenVersion>
                   <!-- Maven 3.0.3 contains bug - see http://jira.codehaus.org/browse/MINVOKER-107 -->
-                  <version>[2.2.1,3.0.0),[3.0.4,)</version>
+                  <version>[3.0.0,3.0.3),[3.0.4,)</version>
                 </requireMavenVersion>
               </rules>
             </configuration>
diff --git a/org.jacoco.doc/docroot/doc/changes.html b/org.jacoco.doc/docroot/doc/changes.html
index b0f3df7..5bf8f95 100644
--- a/org.jacoco.doc/docroot/doc/changes.html
+++ b/org.jacoco.doc/docroot/doc/changes.html
@@ -20,6 +20,12 @@
 
 <h2>Snapshot Build @qualified.bundle.version@ (@build.date@)</h2>
 
+<h3>Non-functional Changes</h3>
+<ul>
+  <li>Require at least Maven 3.0 for build of JaCoCo.</li>
+</ul>
+
+
 <h2>Release 0.7.6 (2016/02/18)</h2>
 
 <h3>New Features</h3>